<div id="menu-page">
    <div class="container mt-5 pt-2 text-light">
        <div class="row">
            <div class="col-12">
                <h1>Pizza</h1>
            </div>
        </div>
        <div class="row">
            @for (pizza of pizzas; track pizza.name){
            <div class="col-12 col-md-6 col-lg-4 d-flex align-items-stretch">
                <div class="card p-3 m-2">
                    <img [src]="pizza.photoUrl" alt="">
                    <h3 class="pizza-name">{{pizza.name}}</h3>
                    <p class="pizza-description">{{pizza.description}}</p>
                    <p class="pizza-toppings">
                        @for(topping of pizza.toppings; track topping; let isLast = $last){
                        <span>
                            {{topping}}{{isLast? '.' : ','}}
                        </span>
                        }
                    </p>
                    <p class="pizza-price">€ {{pizza.price}}</p>
                    <button class="btn btn-success w-50 align-self-center" (click)="addPizzaToShoppingCart(pizza)">Add
                        to
                        cart</button>
                </div>
            </div>
            }
        </div>
    </div>
</div>
<app-shopping-cart></app-shopping-cart>